Bug 1264653 (php-guzzlehttp-guzzle6) - Review Request: php-guzzlehttp-guzzle6 - PHP HTTP client
Summary: Review Request: php-guzzlehttp-guzzle6 - PHP HTTP client
Keywords:
Status: CLOSED ERRATA
Alias: php-guzzlehttp-guzzle6
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1239252 1302909
TreeView+ depends on / blocked
 
Reported: 2015-09-19 22:15 UTC by Shawn Iwinski
Modified: 2016-02-08 09:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-08 03:22:54 UTC
Type: ---
fedora: fedora-review+


Attachments (Terms of Use)
phpci.log (13.48 KB, text/plain)
2015-12-07 07:24 UTC, Remi Collet
no flags Details
review.txt (8.35 KB, text/plain)
2015-12-07 07:24 UTC, Remi Collet
no flags Details

Description Shawn Iwinski 2015-09-19 22:15:13 UTC
Spec URL: https://raw.githubusercontent.com/siwinski/rpms/60723ae205a2d2dadaa6567b5149090d6b94461a/php-guzzlehttp-guzzle5/php-guzzlehttp-guzzle5.spec

SRPM URL: https://siwinski.fedorapeople.org/SRPMS/php-guzzlehttp-guzzle5-5.3.0-4.fc22.src.rpm

Description:
Guzzle is a PHP HTTP client that makes it easy to work with HTTP/1.1 and takes
the pain out of consuming web services.

* Pluggable HTTP adapters that can send requests serially or in parallel
* Doesn't require cURL, but uses cURL by default
* Streams data for both uploads and downloads
* Provides event hooks & plugins for cookies, caching, logging, OAuth, mocks,
  etc
* Keep-Alive & connection pooling
* SSL Verification
* Automatic decompression of response bodies
* Streaming multipart file uploads
* Connection timeouts

**** NOTE: This is major version 5.x of php-guzzlehttp-guzzle.  If you need a
****       newer major version, install php-guzzlehttp-guzzle instead.


Fedora Account System Username: siwinski

---

Many packages still require php-guzzlehttp-guzzle version 5.x so before updating that package to 6.x, this package will provide the 5.x version.

Comment 1 Remi Collet 2015-09-25 08:47:32 UTC
Of course... same questions that for php-aws-sdk2 (#1264654)

Seems only used by php-aws-sdk.

Comment 2 Shawn Iwinski 2015-09-27 19:45:47 UTC
Sorry, "package" was the wrong term to use here.  Many projects I have seen upstream have not updated to AWS API v3 or Guzzle v6 yet (I still find "new" projects using Guzzle v3!) so I would like to keep both of these package versions available while still being able to update the main RPM packages to their latest version.

Comment 4 Upstream Release Monitoring 2015-12-07 07:23:10 UTC
remi's scratch build of php-guzzlehttp-guzzle6-6.1.1-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12096822

Comment 5 Remi Collet 2015-12-07 07:24:02 UTC
Created attachment 1103047 [details]
phpci.log

phpCompatInfo version 4.5.2 DB built Nov 25 2015 18:15:42 CET
     static analyze results

Comment 6 Remi Collet 2015-12-07 07:24:41 UTC
Created attachment 1103048 [details]
review.txt

Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04

Comment 7 Remi Collet 2015-12-07 07:28:54 UTC
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/php/GuzzleHttp6


Notice: I have absolutely no idea what is the best path for such "dual-version" libraries.
- does it make sense to have it in /usr/share/php (where we are trying to preserve a PSR-0 tree) ?
- could a separate tree be better ? (/usr/share/php-guzzlehttp-guzzle6/GuzzleHttp...)
- perhaps we should expose the autoloader path in some rpm macro

Really not a blocker, just my thoughts of the day... (/me should try to shutdown his brain...)


Just fix the trivial blocker, everything else is ok.

Comment 8 Shawn Iwinski 2016-01-28 23:02:25 UTC
(In reply to Remi Collet from comment #7)
> [!]: Package must own all directories that it creates.
>      Note: Directories without known owners: /usr/share/php/GuzzleHttp6

Updated

Diff: https://github.com/siwinski/rpms/commit/d61ec0e212076f3029c41fe85e68d34fadfbeb05



Spec URL: https://raw.githubusercontent.com/siwinski/rpms/d61ec0e212076f3029c41fe85e68d34fadfbeb05/php-guzzlehttp-guzzle6/php-guzzlehttp-guzzle6.spec 

SRPM URL: https://siwinski.fedorapeople.org/SRPMS/php-guzzlehttp-guzzle6-6.1.1-2.fc23.src.rpm

Comment 9 Remi Collet 2016-01-29 07:10:02 UTC
[x]: Package must own all directories that it creates.


=== APPROVED ===

Comment 10 Gwyn Ciesla 2016-01-29 21:01:51 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/php-guzzlehttp-guzzle6

Comment 11 Shawn Iwinski 2016-01-29 21:08:32 UTC
THANKS for the review @Remi

Comment 12 Fedora Update System 2016-01-30 02:35:29 UTC
php-guzzlehttp-guzzle6-6.1.1-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f3f370291d

Comment 13 Fedora Update System 2016-01-30 02:35:30 UTC
php-guzzlehttp-guzzle6-6.1.1-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7e0f762e8d

Comment 14 Fedora Update System 2016-01-30 02:35:31 UTC
php-guzzlehttp-guzzle6-6.1.1-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f3f370291d

Comment 15 Fedora Update System 2016-01-30 02:35:33 UTC
php-guzzlehttp-guzzle6-6.1.1-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f3f370291d

Comment 16 Fedora Update System 2016-01-30 19:21:43 UTC
php-guzzlehttp-guzzle6-6.1.1-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7e0f762e8d

Comment 17 Fedora Update System 2016-01-30 19:55:07 UTC
php-guzzlehttp-guzzle6-6.1.1-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f3f370291d

Comment 18 Fedora Update System 2016-02-08 03:22:50 UTC
php-guzzlehttp-guzzle6-6.1.1-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2016-02-08 09:21:52 UTC
php-guzzlehttp-guzzle6-6.1.1-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.